Namespace OpenQA.Selenium.DevTools.V147.Fetch
Classes
- AuthChallenge
Authorization challenge for HTTP status code 401 or 407.
- AuthChallengeResponse
Response to an AuthChallenge.
- AuthRequiredEventArgs
Issued when the domain is enabled with handleAuthRequests set to true. The request is paused until client responds with continueWithAuth.
- ContinueRequestCommandResponse
Response for Continues the request, optionally modifying some of its parameters.
- ContinueRequestCommandSettings
Continues the request, optionally modifying some of its parameters.
- ContinueResponseCommandResponse
Response for Continues loading of the paused response, optionally modifying the response headers. If either responseCode or headers are modified, all of them must be present.
- ContinueResponseCommandSettings
Continues loading of the paused response, optionally modifying the response headers. If either responseCode or headers are modified, all of them must be present.
- ContinueWithAuthCommandResponse
Response for Continues a request supplying authChallengeResponse following authRequired event.
- ContinueWithAuthCommandSettings
Continues a request supplying authChallengeResponse following authRequired event.
- DisableCommandResponse
Response for Disables the fetch domain.
- DisableCommandSettings
Disables the fetch domain.
- EnableCommandResponse
Response for Enables issuing of requestPaused events. A request will be paused until client calls one of failRequest, fulfillRequest or continueRequest/continueWithAuth.
- EnableCommandSettings
Enables issuing of requestPaused events. A request will be paused until client calls one of failRequest, fulfillRequest or continueRequest/continueWithAuth.
- FailRequestCommandResponse
Response for Causes the request to fail with specified reason.
- FailRequestCommandSettings
Causes the request to fail with specified reason.
- FetchAdapter
Represents an adapter for the Fetch domain to simplify the command interface.
- FulfillRequestCommandResponse
Response for Provides response to the request.
- FulfillRequestCommandSettings
Provides response to the request.
- GetResponseBodyCommandResponse
Response for Causes the body of the response to be received from the server and returned as a single string. May only be issued for a request that is paused in the Response stage and is mutually exclusive with takeResponseBodyForInterceptionAsStream. Calling other methods that affect the request or disabling fetch domain before body is received results in an undefined behavior. Note that the response body is not available for redirects. Requests paused in the redirect received state may be differentiated by
responseCodeand presence oflocationresponse header, see comments torequestPausedfor details.
- GetResponseBodyCommandSettings
Causes the body of the response to be received from the server and returned as a single string. May only be issued for a request that is paused in the Response stage and is mutually exclusive with takeResponseBodyForInterceptionAsStream. Calling other methods that affect the request or disabling fetch domain before body is received results in an undefined behavior. Note that the response body is not available for redirects. Requests paused in the redirect received state may be differentiated by
responseCodeand presence oflocationresponse header, see comments torequestPausedfor details.
- HeaderEntry
Response HTTP header entry
- RequestPattern
RequestPattern
- RequestPausedEventArgs
Issued when the domain is enabled and the request URL matches the specified filter. The request is paused until the client responds with one of continueRequest, failRequest or fulfillRequest. The stage of the request can be determined by presence of responseErrorReason and responseStatusCode -- the request is at the response stage if either of these fields is present and in the request stage otherwise. Redirect responses and subsequent requests are reported similarly to regular responses and requests. Redirect responses may be distinguished by the value of
responseStatusCode(which is one of 301, 302, 303, 307, 308) along with presence of thelocationheader. Requests resulting from a redirect will haveredirectedRequestIdfield set.
- TakeResponseBodyAsStreamCommandResponse
Response for Returns a handle to the stream representing the response body. The request must be paused in the HeadersReceived stage. Note that after this command the request can't be continued as is -- client either needs to cancel it or to provide the response body. The stream only supports sequential read, IO.read will fail if the position is specified. This method is mutually exclusive with getResponseBody. Calling other methods that affect the request or disabling fetch domain before body is received results in an undefined behavior.
- TakeResponseBodyAsStreamCommandSettings
Returns a handle to the stream representing the response body. The request must be paused in the HeadersReceived stage. Note that after this command the request can't be continued as is -- client either needs to cancel it or to provide the response body. The stream only supports sequential read, IO.read will fail if the position is specified. This method is mutually exclusive with getResponseBody. Calling other methods that affect the request or disabling fetch domain before body is received results in an undefined behavior.
Enums
- AuthChallengeResponseResponseValues
Enumerated values for Fetch.AuthChallengeResponse.response
- AuthChallengeSourceValues
Enumerated values for Fetch.AuthChallenge.source
- RequestStage
Stages of the request to handle. Request will intercept before the request is sent. Response will intercept after the response is received (but before response body is received).